Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class ClasspathResourceManager

- org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

- All Implemented Interfaces and Traits:
    ResourceManager

      public class ClasspathResourceManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClasspathResourceManager ()`
    `ClasspathResourceManager (ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `InputStream` | `getInputStream(String resourceName)`
    `` | `Reader` | `getReader(String resourceName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClasspathResourceManager()

    - #### public ClasspathResourceManager(ClassLoader classLoader)

  - ### Method Detail

    - #### public InputStream getInputStream(String resourceName)

    - #### public Reader getReader(String resourceName)